﻿@using System.Web.UI.WebControls
@model Toyota.Common.Web.MVC.ModelHolder

@{
    Layout = "~/Views/Layout/Dashboard.cshtml";
}
@*fid.marini 2/11/2012*@

<script src="@Url.Content("~/Scripts/jquery.mtz.monthpicker.js")" type="text/javascript"></script>

@section Style{
    .ui-datepicker.ui-corner-all { -moz-border-radius: 4px; -webkit-border-radius: 4px; border-radius: 4px; }
    .iu-widget-header { background-color: #94B6E8; color: #94B6E8; }
    .ui-widget-header {p
        background: url("images/ui-bg_highlight-soft_15_cc0000_1x100.png") repeat-x scroll 50% 50% #94B6E8;
        background-color: #DDECFF;
        border: 1px solid #94B6E8;
        color: #94B6E8;
        @*font-weight: bold;*@
    }
    div.ui-datepicker {width: 17em; padding: .2em .2em 0;}
    div.ui-datepicker-header.mtz-monthpicker {border: 1px solid #DDECFF; background-color: #DDECFF; color: #DDECFF; font-weight: bold;}
    table.mtz-monthpicker {width: 100%; font-size: .9em; border-collapse: collapse; margin:0 0 .4em; }
    td.ui-state-default.mtz-monthpicker-month {border: 1px solid #fff;}
    td.ui-state-default.mtz-monthpicker-month {text-align: center; cursor: pointer; padding: 5px;}
    td.ui-state-default.mtz-monthpicker-month:hover, td.ui-state-default.mtz-monthpicker-month-selected {background: none; background-color: #DDECFF; color: #fff; cursor: pointer;}
    td.ui-state-default.mtz-monthpicker-month:hover {background-color: #fff; color: #000;}
    select.mtz-monthpicker-year {margin-top: 7px; border:1px solid #6A8CCB;}

}


@section Script{
    /*Month Picker*/
    $(document).ready(function() {
        
 
        $('#BalanceEndMonth_I').monthpicker({
            startYear: new Date().getFullYear() - 4,
            finalYear: new Date().getFullYear() + 4,
            pattern: 'mmm yyyy',
            monthNames: ['January', 'February', 'March', 'April', 'May', 'June', 'July', 'August', 'September', 'October', 'November', 'December']
        });

        $('#BalanceEndMonth_I').bind('onchange',function(e){
            alert("input change");
        });  
    });
    
}

@section StartupScript{
   BalanceEndMonth.value = '';
   
}

<style type="text/css">
    .btnOkeh {
        float: right;
        margin-right: 5px;
        height: 5px !important;
    }

        .btnOkeh .dxbButton_IPPCSBlue .dxb {
            padding: 1px 3px 1px !important;
        }

            .btnOkeh .dxbButton_IPPCSBlue .dxb SPAN {
                height: 4px;
            }

            .btnOkeh .dxbButton_IPPCSBlue .dxb SPAN {
                font-size: 9px;
            }
</style>

<script type="text/javascript">

    var DocumentNumber = "";
    var Supplier = "";
    var Balance = "";
    var ProgressStatus = "";
    var isTabSelected = "";
    var IsEditRow;

    
    function GetProductionMonth(productionMonth) {
         var paramStr = String(productionMonth).replace('-', '');
         var paramStrLength = String(paramStr).length;

         var year = String(paramStr).substring(paramStrLength, paramStrLength - 4);
         var month = String(paramStr).substring(0, paramStrLength - 5);
         var monthEnum = {
             January: '01',
             February: '02',
             March: '03',
             April: '04',
             May: '05',
             June: '06',
             July: '07',
             August: '08',
             September: '09',
             October: '10',
             November: '11',
             December: '12'
         };
         var monthNum = "";
         if (Boolean(month))
             monthNum = monthEnum[month];
          
         return year +'-'+ monthNum;
     }

     function GetParameterMonth(productionMonth) {
         var paramStr = String(productionMonth).replace('-', '');
         var paramStrLength = String(paramStr).length;

         var year = String(paramStr).substring(paramStrLength, paramStrLength - 4);
         var month = String(paramStr).substring(0, paramStrLength - 5);
         var monthEnum = {
             January: '1',
             February: '2',
             March: '3',
             April: '4',
             May: '5',
             June: '6',
             July: '7',
             August: '8',
             September: '9',
             October: '10',
             November: '11',
             December: '12'
         };
         
         var monthNum = "";
         if (Boolean(month))
             monthNum = monthEnum[month];
          
         return monthNum;
          
     }

    function MessageBox(s, e, headerText,width) {
        if (e != '') {
            msgboxicon.src = '/Content/Images/' + e;
        } else {

            
            msgboxicon.src = '';
        }
        msgboxcaption.SetText(s);
        msgbox.SetWidth(width);
        msgbox.SetHeaderText(headerText);
        msgbox.Show();
    }

    function OnGRIMDGridViewBeginCallback(s, e)
    {
        e.customArgs["DocumentNumber"] = DocumentNumber;
    }

    function GetParameterHeader() {
        
        SRSupplier = SRSupplier.GetText();
        BalanceEndMonth = BalanceEndMonth.GetText(); 
        
    }

    function OnTabChanged(s, e) {
        if (TabSupplier.GetActiveTabIndex() == 0) {
            isTabSelected = 0;
            grdDataGeneral.UnselectAllRowsOnPage();
            grdDataGeneral.PerformCallback();
        }
        else if (TabSupplier.GetActiveTabIndex() == 1) {
            isTabSelected = 1;
            btnDownloadSR.SetEnabled(true);
            btnSearchSR.SetEnabled(true);
            grdDataUpdate.UnselectAllRowsOnPage();
            grdDataUpdate.PerformCallback();
        }
    }

    function DisableButton()
    {
        btnUploadSR.SetEnabled(false);
        btnDownloadSR.SetEnabled(false);
        btnSearchSR.SetEnabled(false);
        btnAddSR.SetEnabled(false);
        btnEditSR.SetEnabled(false);
        btnDeleteSR.SetEnabled(false);
        btnConfirmSR.SetEnabled(false);
        btnSaveSR.SetEnabled(false);
        btnReconcileSR.SetEnabled(false);
    }

    function EnableButton()
    {
        btnUploadSR.SetEnabled(true);
        btnDownloadSR.SetEnabled(true);
        btnSearchSR.SetEnabled(true);
        btnAddSR.SetEnabled(true);
        btnEditSR.SetEnabled(true);
        btnDeleteSR.SetEnabled(true);
        btnConfirmSR.SetEnabled(true);
        btnSaveSR.SetEnabled(true);
        btnReconcileSR.SetEnabled(true);
    }

    function EnableButtonSum()
    {
        btnUploadSR.SetEnabled(false);
        btnDownloadSR.SetEnabled(true);
        btnSearchSR.SetEnabled(true);
        btnAddSR.SetEnabled(false);
        btnEditSR.SetEnabled(false);
        btnDeleteSR.SetEnabled(false);
        btnConfirmSR.SetEnabled(false);
        btnSaveSR.SetEnabled(false);
        btnReconcileSR.SetEnabled(false);
    }

    function OnInitGridview(s,e) {
        EnableButton();
    }

    function OnGRIMDGridViewEndCallback(s, e)
    {
        btnDownloadSRDetail.SetEnabled(true);
        var DocumentNo = DocumentNumber;
        console.log(DocumentNo);

        $.ajax({
                    type: "POST",
                    url: "@Url.Content("~/SupplierReconciliation/GetTotalAmountDetail")",
                    data: {
                        
                        DOCUMENTNO: DocumentNo
                    },
                    success: function (resultMessage) {
                        
                        console.log(resultMessage);
                        
                        resultMessage = resultMessage.split(',');
                        
                        lblIDRSuppDetail = resultMessage[0];
                        lblJPYSuppDetail = resultMessage[1];
                        lblUSDSuppDetail = resultMessage[2];
                        
                        
                        $("#lblIDRSuppDetail").text(resultMessage[0]);
                        $("#lblJPYSuppDetail").text(resultMessage[1]);
                        $("#lblUSDSuppDetail").text(resultMessage[2]);
                        
                    },
                    error: function (resultMessage) {
                        alert("Error!");
                    }
                });
    }

 function OnBeginCallbackGrid(s, e) {
        
        
        e.customArgs["SRSupplier"] = SRSupplier.GetText();
        e.customArgs["BalanceEndMonth"] = GetProductionMonth(BalanceEndMonth.GetValue());
        e.customArgs["ProgressStatus"] = Progress.GetValue();

        DisableButton();


    }

    function OnEndCallbackGridSum(s,e){
        EnableButtonSum();
//        var Supplier = SRSupplier.GetValue();
//        var Balance = GetProductionMonth(BalanceEndMonth.GetValue());
//        var ProgressStatus = Progress.GetValue();

//        $.ajax({
//                    type: "POST",
//                    url: "@Url.Content("~/SupplierReconciliation/GetTotalAmountSum")",
//                    data: {
//                        SUPPLIER: Supplier,
//                        BALANCE: Balance,
//                        //PROGRESS: Progress
//                    },
//                    success: function (resultMessage) {
//                        
//                        console.log(resultMessage);
//                        
//                        resultMessage = resultMessage.split(',');
//                        
//                        lblIDRAmount = resultMessage[0];
//                        lblIDRTax = resultMessage[1];
//                        lblIDRTotal = resultMessage[2];
//                        lblIDRAmountSupp = resultMessage[3];
//                        lblIDRTaxSupp = resultMessage[4];
//                        lblIDRTotalSupp = resultMessage[5];
//                        lblIDRDiffSupp = resultMessage[6];
//                        lblJPYAmount = resultMessage[7];
//                        lblJPYTax = resultMessage[8];
//                        lblJPYTotal = resultMessage[9];
//                        lblJPYAmountTMMIN = resultMessage[10];
//                        lblJPYTaxTMMIN = resultMessage[11];
//                        lblJPYTotalTMMIN = resultMessage[12];
//                        lblJPYDiffTMMIN = resultMessage[13];
//                        lblUSDAmount = resultMessage[14];
//                        lblUSDTax = resultMessage[15];
//                        lblUSDTotal = resultMessage[16];
//                        lblUSDAmountTMMIN = resultMessage[17];
//                        lblUSDTaxTMMIN = resultMessage[18];
//                        lblUSDTotalTMMIN = resultMessage[19];
//                        lblUSDDiffTMMIN = resultMessage[20];
//                        
//                        $("#lblIDRAmount").text(resultMessage[0]);
//                        $("#lblIDRTax").text(resultMessage[1]);
//                        $("#lblIDRTotal").text(resultMessage[2]);
//                        $("#lblIDRAmountSupp").text(resultMessage[3]);
//                        $("#lblIDRTaxSupp").text(resultMessage[4]);
//                        $("#lblIDRTotalSupp").text(resultMessage[5]);
//                        $("#lblIDRDiffSupp").text(resultMessage[6]);
//                        $("#lblJPYAmount").text(resultMessage[7]);
//                        $("#lblJPYTax").text(resultMessage[8]);
//                        $("#lblJPYTotal").text(resultMessage[9]);
//                        $("#lblJPYAmountTMMIN").text(resultMessage[10]);
//                        $("#lblJPYTaxTMMIN").text(resultMessage[11]);
//                        $("#lblJPYTotalTMMIN").text(resultMessage[12]);
//                        $("#lblJPYDiffTMMIN").text(resultMessage[13]);
//                        $("#lblUSDAmount").text(resultMessage[14]);
//                        $("#lblUSDTax").text(resultMessage[15]);
//                        $("#lblUSDTotal").text(resultMessage[16]);
//                        $("#lblUSDAmountTMMIN").text(resultMessage[17]);
//                        $("#lblUSDTaxTMMIN").text(resultMessage[18]);
//                        $("#lblUSDTotalTMMIN").text(resultMessage[19]);
//                        $("#lblUSDDiffTMMIN").text(resultMessage[20]);
//                       
//                    },
//                    error: function (resultMessage) {
//                        alert("Error!");
//                    }
//                });
//        
                
    }


    function OnEndCallbackGrid(s,e){
        EnableButton();
        var Supplier = SRSupplier.GetValue();
        var Balance = GetProductionMonth(BalanceEndMonth.GetValue());
        var ProgressStatus = Progress.GetValue();

        $.ajax({
                    type: "POST",
                    url: "@Url.Content("~/SupplierReconciliation/GetTotalAmount")",
                    data: {
                        SUPPLIER: Supplier,
                        BALANCE: Balance,
                        PROGRESS: ProgressStatus
                    },
                    success: function (resultMessage) {
                        //alert("success");
                        console.log(resultMessage);
                        //PartialDockData.Refresh();
                        resultMessage = resultMessage.split(',');
                        //console.log(resultMessage);
                        //resultMessage[0] = resultMessage.split(',');
                        //console.log(resultMessage[0]);
                        lblIDRTMMIN = resultMessage[0];
                        lblIDRSupp = resultMessage[1];
                        lblIDRDiff = resultMessage[2];
                        lblJPYTMMIN = resultMessage[3];
                        lblJPYSupp = resultMessage[4];
                        lblJPYDiff = resultMessage[5];
                        lblUSDTMMIN = resultMessage[6];
                        lblUSDSupp = resultMessage[7];
                        lblUSDDiff = resultMessage[8];
                        console.log(lblIDRSupp);
                        console.log(lblIDRTMMIN);
                        console.log(lblIDRDiff);
                        console.log(lblJPYSupp);
                        console.log(lblJPYTMMIN);
                        console.log(lblJPYDiff);
                        console.log(lblUSDSupp);
                        console.log(lblUSDTMMIN);
                        console.log(lblUSDDiff);
                        $("#lblIDRTMMIN").text(resultMessage[0]);
                        $("#lblIDRSupp").text(resultMessage[1]);
                        $("#lblIDRDiff").text(resultMessage[2]);
                        $("#lblJPYTMMIN").text(resultMessage[3]);
                        $("#lblJPYSupp").text(resultMessage[4]);
                        $("#lblJPYDiff").text(resultMessage[5]);
                        $("#lblUSDTMMIN").text(resultMessage[6]);
                        $("#lblUSDSupp").text(resultMessage[7]);
                        $("#lblUSDDiff").text(resultMessage[8]);
                        //grdDataGeneral.PerformCallback();
                    },
                    error: function (resultMessage) {
                        alert("Error!");
                    }
                });
        
                
    }

    

       var currentDocumentNumber;
       var Document = "";



    function UploadData(s,e)
    {
        DisableButton();
        btnBrowseSR.Upload();
        //$.msgBox({ title: "Warning", type:"alert", content:"Upload" });
    }

    function SearchData(s, e) 
    {
        IsEditRow = "0";
        //GetParameterHeader();

        if (SRSupplier.GetValue() && BalanceEndMonth.GetValue()) 
        {
            if (TabSupplier.GetActiveTabIndex() == 0) {
                grdDataGeneral.PerformCallback();
                grdDataGeneral.UnselectFilteredRows(); 
            }
            else {
                grdDataUpdate.PerformCallback();
            }
        }
        else
            {
                //MessageBox('Please fill search parameter!','warning_icon.png','Warning');
                $.msgBox({
                       title: "Warning",
                       content: "Mandatory field should not be empty"
                      });
            }
    }


           function RetrieveDeliveryContent(s, e) {
                
                SupplierCd = grdVendor.GetText();
                var DocumentNumberSev = DocumentNumber.GetText();
                var CurrSev = Curr.GetText();
                var SupplierAmountSev = SupplierAmount.GetText();
                console.log(SupplierAmountSev);
                var SupplierTaxAmountSev = SupplierTaxAmount.GetText();

                if(SupplierCd == "" || DocumentNumberSev == "" || CurrSev == "" || SupplierAmountSev == "" || SupplierTaxAmountSev == "")
                {
                    $.msgBox({
                       title: "Warning",
                       content: "Please fill mandatory field to next proccess"
                      });
                    //alert("Please fill mandatory field to next proccess"); 
                }
                else
                {
                    if(DocumentNumberSev.match(/^[a-zA-Z0-9]*$/))
                    {
                        $.ajax({
                            type: "POST",
                            url: "@Url.Content("~/SupplierReconciliation/InsertNewData")",
                            data: {
                                SUPPLIER_CD: SupplierCd,
                                DOCUMENT_NO: DocumentNumberSev,
                                ITEM_CURR: CurrSev,
                                SUPP_AMOUNT: SupplierAmountSev,
                                SUPP_TAX_AMOUNT: SupplierTaxAmountSev
                            },
                            success: function (resultMessage) {
                                //alert(resultMessage);
                                    $.msgBox({
                                   title: "Warning",
                                   content: "Insert Data is success"
                                  });
                                
                                    grdVendor.SetText('');
                                    DocumentNumber.SetText('');
                                    Curr.SetText('');
                                    SupplierAmount.SetText('');
                                    SupplierTaxAmount.SetText('');
                                    popupNewSR.Hide();
                                    grdDataGeneral.PerformCallback();
                                
                            
                            
                            },
                            error: function (resultMessage) {
                                $.msgBox({
                                   title: "Warning",
                                   content: "Error when insert data"
                                  });
                                //alert("Error when insert data");
                            }
                        });
                    }
                    else
                    {
                        $.msgBox({
                           title: "Warning",
                           content: "Document Number only can inputted alphanumeric"
                          });
                        //alert("Document Number only can inputted alphanumeric");
                    }
                }
            }

          function AddData(s, e){
                popupNewSR.Show();     
            }

            

            function EventSingleManifest(s, e) {
                grdVendor.SetText('');
                DocumentNumber.SetText('');
                Curr.SetText('');
                SupplierAmount.SetText('');
                SupplierTaxAmount.SetText('');
                popupNewSR.Hide();
                
            }

          function saveAmount(index)
          {
                console.log('SaveAmount',index);
                var DN = grdDataGeneral.cpKeys[index];
                var N = window["txtAmount["+index+"]"].GetText();
                
                console.log(DN);
                console.log(N);
               
                if(N=="")
                {
                    $.msgBox({ title: "Warning", type:"alert", content:"Please fill the amount" });
                    window["txtAmount["+index+"]"].SetText("");
                }
                else
                {
                    if(N.match(/[^[0-9]*$]/) != null)
                    {
                        $.msgBox({ title: "Warning", content: "Only can be use number"});
                        window["txtAmount["+index+"]"].SetText("");
                    }
                    else
                    {
                        $.ajax(
                        {
                            type: "POST",
                            url: "@Url.Content("~/SupplierReconciliation/saveAmount")",
                            data:
                            {
                                DocumentNumber : DN,
                                AmountSupplier : N
                            },
                            dataType:"JSON",
                            success: function (result) {
                                if (result.status == 'success')
                                    $.msgBox({ title: "Info", type:"info", content:result.message });
                                else
                                    $.msgBox({ title: "Warning", type:"warning", content:result.message });

                                grdDataGeneral.ClearFilter();
                            }
                        });
                    }
                }

            }

            function saveAmountTMMIN(index)
          {
                
                var DN = grdDataGeneral.cpKeys[index];
                var N = window["txtAmountTMMIN["+index+"]"].GetText();
                
                console.log(DN);
                console.log(N);
               
                if(N=="")
                {
                    $.msgBox({ title: "Warning", type:"alert", content:"Please fill the amount" });
                    window["txtAmountTMMIN["+index+"]"].SetText("");
                }
                else
                {
                    if(N.match(/[^[0-9]*$]/) != null)
                    {
                        $.msgBox({ title: "Warning", content: "Only can be use number"});
                        window["txtAmountTMMIN["+index+"]"].SetText("");
                    }
                    else
                    {
                        $.ajax(
                        {
                            type: "POST",
                            url: "@Url.Content("~/SupplierReconciliation/saveAmountTMMIN")",
                            data:
                            {
                                DocumentNumber : DN,
                                AmountTMMIN : N
                            },
                            dataType:"JSON",
                            success: function (result) {
                                if (result.status == 'success')
                                    $.msgBox({ title: "Info", type:"info", content:result.message });
                                else
                                    $.msgBox({ title: "Warning", type:"warning", content:result.message });

                                grdDataGeneral.ClearFilter();
                            }
                        });
                    }
                }

            }

            function saveFeedback(index)
          {
                console.log('SaveFeedback',index);
                var DN = grdDataGeneral.cpKeys[index];
                var N = window["txtSupplier["+index+"]"].GetValue();
                
                console.log(DN);
                console.log(N);
               
                if(N==null)
                {
                    $.msgBox({ title: "Warning", type:"alert", content:"Please fill the feedback" });
                    window["txtSupplier["+index+"]"].SetText("");
                }
                else
                {

                    $.ajax(
                    {
                        type: "POST",
                        url: "@Url.Content("~/SupplierReconciliation/saveFeedback")",
                        data:
                        {
                            DocumentNumber : DN,
                            FeedbackSupplier : N
                        },
                        dataType:"JSON",
                        success: function (result) {
                            if (result.status == 'success')
                                $.msgBox({ title: "Info", type:"info", content:result.message });
                               
                            else
                                $.msgBox({ title: "Warning", type:"warning", content:result.message });

                            grdDataGeneral.ClearFilter();
                        }
                    });

                }

            }


        function ShowDetail(s, e)
        {
            var index = s.name.substring(22);
            index = index;
            DocumentNumber = grdDataGeneral.cpKeys[index];
            popupDetail.Show();
        }


            function saveFeedbackTMMIN(index)
          {
                //console.log('SaveFeedback',index);
                var DN = grdDataGeneral.cpKeys[index];
                var N = window["txtTMMIN["+index+"]"].GetValue();
                
                console.log(DN);
                console.log(N);
               
                if(N==null)
                {
                    $.msgBox({ title: "Warning", type:"alert", content:"Please fill the feedback" });
                    window["txtTMMIN["+index+"]"].SetText("");
                }
                else
                {

                    $.ajax(
                    {
                        type: "POST",
                        url: "@Url.Content("~/SupplierReconciliation/saveFeedbackTMMIN")",
                        data:
                        {
                            DocumentNumber : DN,
                            FeedbackTMMIN : N
                        },
                        dataType:"JSON",
                        success: function (result) {
                            if (result.status == 'success'){
                                $.msgBox({ title: "Info", type:"info", content:result.message });
                                 //txtTMMIN.SetEnabled(false);
                                }
                            else
                                $.msgBox({ title: "Warning", type:"warning", content:result.message });

                            grdDataGeneral.ClearFilter();
                        }
                    });

                }

            }

            

            function EnumerateSelectedRows(grid, enumerateCallback, selectedCallback, noSelectedCallback) {
                var countVisibleIndexS = grid.GetTopVisibleIndex() + grid.GetVisibleRowsOnPage();
                var selected = false;
                for (var index = grid.GetTopVisibleIndex(); index < countVisibleIndexS; index++) {
                    if ((grid.IsRowSelectedOnPage(index)) && (!selected)) { selected = true; }
                    enumerateCallback(index);
                }
                if (!selected) {
                    if (noSelectedCallback != undefined) {
                        noSelectedCallback();
                    }
                }
                else {
                    if (selectedCallback != undefined) {
                        selectedCallback();
                    }
                }
            }

            //function EditData(s, e) {
//                var RowCount = grdDataGeneral.GetSelectedRowCount();
//                var RowCountOnPage = grdDataGeneral.GetTopVisibleIndex() + grdDataGeneral.GetVisibleRowsOnPage();
//                var editRow;
//                ///set grid to editing view on gridview
//                if (RowCount > 0) {
//                    //SetButtonCancel(1);
//                    //IsEditRow = "2";

//                    ///checking is one ore multiple row want be edit
//                    if (RowCount == 1) {
//                        for (var Index = grdDataGeneral.GetTopVisibleIndex() ; Index < RowCountOnPage; Index++) {
//                            if (grdDataGeneral.IsRowSelectedOnPage(Index)){
//                                    editRow = new Object();
//                                    editRow.DOCUMENT_NO = grdDataGeneral.cpKeys[Index];
//                                    grdDataGeneral.StartEditRow(Index);
//                                }
//                        }
//                        grdDataGeneral.UnselectRows();
//                    }
//                    else
//                        alert("Please select one row");
//                }
//                else
//                    alert("No row selected to edited");
           // }


            function DeleteData() {
                var deletedAnnouncementMaster = new Array();
                var announcementMaster;
                EnumerateSelectedRows(grdDataGeneral, function (index) {
                    if (grdDataGeneral.IsRowSelectedOnPage(index)) {
                        rowKeyValueToCopy = null;
                        announcementMaster = new Object();
                        announcementMaster.DOCUMENT_NO = grdDataGeneral.cpKeys[index];
                        deletedAnnouncementMaster.push(announcementMaster);
                    }
                });
                var deletedSetting = 
                {
                    type: "POST",
                    dataType: "json",
                    url: "@Url.Content("~/SupplierReconciliation/RemoveSR")",
                    data: { data: JSON.stringify(deletedAnnouncementMaster) }
                };
                $.ajax(deletedSetting).done(function (result) {
                    if (result==0)
                    {
                        $.msgBox({ title: "Warning", type:"alert", content:"No selected row to be deleted." });
                        //alert('No selected row to be deleted.');  
                    }
                    else
                    {
                        $.msgBox({ title: "Warning", type:"alert", content:"Delete Success!" });
                        //alert('Success!');
                        //SRSupplier.SetText('');
                    }
                    grdDataGeneral.UnselectRows();
                }); 
        
            }

            function ConfirmData() {
                Supplier = SRSupplier.GetValue();
                Balance = GetProductionMonth(BalanceEndMonth.GetValue());

                if(Supplier == "" || Balance == "")
                {
                    alert("Please do Search first"); 
                }
                else
                {
                    if(grdDataGeneral.GetVisibleRowsOnPage() == 0)
                    {
                        $.msgBox({ title: "Warning", type:"alert", content:"No Data to Confirm" });
                    }
                    else
                    {
                        $.msgBox({ title: "Warning", type:"alert", content:"Logic Confirm" });  
                    }
                }
                
            }

            function SaveData() {
                var deletedAnnouncementMaster = new Array();
                var announcementMaster;
                EnumerateSelectedRows(grdDataGeneral, function (index) {
                    if (grdDataGeneral.IsRowSelectedOnPage(index)) {
                        rowKeyValueToCopy = null;
                        announcementMaster = new Object();
                        announcementMaster.DOCUMENT_NO = grdDataGeneral.cpKeys[index];
                        deletedAnnouncementMaster.push(announcementMaster);
                    }
                });
                var deletedSetting = 
                {
                    type: "POST",
                    dataType: "json",
                    url: "@Url.Content("~/SupplierReconciliation/ConfirmSR")",
                    data: { data: JSON.stringify(deletedAnnouncementMaster) }
                };
                $.ajax(deletedSetting).done(function (result) {
                    if (result==0)
                    {
                        $.msgBox({ title: "Warning", type:"alert", content:"No selected row to be save confirm." });
                        //alert('No selected row to be deleted.');  
                    }
                    else if (result==-1)
                    {
                        $.msgBox({ title: "Warning", type:"alert", content:"Save confirm not success." });
                    }
                    else
                    {
                        $.msgBox({ title: "Warning", type:"alert", content:"Save confirm Success!" });
                        //alert('Success!');
                        //SRSupplier.SetText('');
                    }
                    grdDataGeneral.UnselectRows();
                }); 
        
            }

            function ApprovedData() {
                var deletedAnnouncementMaster = new Array();
                var announcementMaster;
                EnumerateSelectedRows(grdDataUpdate, function (index) {
                    if (grdDataGeneral.IsRowSelectedOnPage(index)) {
                        rowKeyValueToCopy = null;
                        announcementMaster = new Object();
                        announcementMaster.DOCUMENT_NO = grdDataUpdate.cpKeys[index];
                        deletedAnnouncementMaster.push(announcementMaster);
                    }
                });
                var deletedSetting = 
                {
                    type: "POST",
                    dataType: "json",
                    url: "@Url.Content("~/SupplierReconciliation/ApprovedSR")",
                    data: { data: JSON.stringify(deletedAnnouncementMaster) }
                };
                $.ajax(deletedSetting).done(function (result) {
                    if (result==0)
                    {
                        $.msgBox({ title: "Warning", type:"alert", content:"No selected row to be approved." });
                        //alert('No selected row to be deleted.');  
                    }
                    else if (result==-1)
                    {
                        $.msgBox({ title: "Warning", type:"alert", content:"Approved not success." });
                    }
                    else
                    {
                        $.msgBox({ title: "Warning", type:"alert", content:"Approved Success!" });
                        //alert('Success!');
                        //SRSupplier.SetText('');
                    }
                    grdDataUpdate.UnselectRows();
                    
                }); 
                EnableButtonSum();
        
            }

            function OnClickCancel(s, e) {
                //SetButtonCancel(0);
                var IsEditRow = "0";

                grdDataGeneral.UnselectAllRowsOnPage();
                grdDataGeneral.CancelEdit();
                
           }

           function DownloadDataDetail(s, e)
           {
                if (gridPopupDetail.GetVisibleRowsOnPage() == 0)
                {
                    $.msgBox({ title: "Warning", type:"alert", content:"No Data to Download" });
                    //grdDataGeneral.ClearFilter();
                }
                else
                {
                    $("#GRIPPProgressLabel").text("Download in progress,\nPlease wait...");
                    GoodsReceiptInquiryProgressPopup.Show();

                    $.fileDownload("SupplierReconciliation/DownloadSRDetail/", {
                        data: {
                            DocumentNumber : DocumentNumber
                            //console.log(DocumentNumber);
                            
                        },
                        successCallback: function (result) {
                            GoodsReceiptInquiryProgressPopup.Hide();
                        },
                        failCallback: function (result) {
                            GoodsReceiptInquiryProgressPopup.Hide();

                            alert("Error On Download Supplier Reconciliation Detail.");
                        }
                    });
                    }
           }

            function DownloadData(s, e) {
                if (TabSupplier.GetActiveTabIndex() == 0) {
                    if (grdDataGeneral.GetVisibleRowsOnPage() == 0)
                    {
                        $.msgBox({ title: "Warning", type:"alert", content:"No Data to Download" });
                        //grdDataGeneral.ClearFilter();
                    }
                    else
                    {
       
                        Supplier = SRSupplier.GetValue();
                        Balance = GetProductionMonth(BalanceEndMonth.GetValue());
                        ProgressStatus = Progress.GetValue();
                        TabSelected = TabSupplier.GetActiveTabIndex();
        
                        SRDownloadConfirmationPopupPartial.Show();
       
                    }
                }
                else {
                    if (grdDataUpdate.GetVisibleRowsOnPage() == 0)
                    {
                        $.msgBox({ title: "Warning", type:"alert", content:"No Data to Download" });
                        //grdDataGeneral.ClearFilter();
                    }
                    else
                    {
       
                        Supplier = SRSupplier.GetValue();
                        Balance = GetProductionMonth(BalanceEndMonth.GetValue());
                        ProgressStatus = Progress.GetValue();
                        TabSelected = TabSupplier.GetActiveTabIndex();
        
                        SRDownloadConfirmationPopupPartial.Show();
       
                    }
                }
                
            }

            function OnGoodsReceiptInquiryPopupBeginCallback(s, e) {
                e.customArgs["SRSupplier"] = SRSupplier.GetValue();
                e.customArgs["BalanceEndMonth"] = GetProductionMonth(BalanceEndMonth.GetValue());
                e.customArgs["ProgressStatus"] = Progress.GetValue();
                //e.customArgs["ManifestNo"] = manifestNo;
            }

            function OnGoodsReceiptInquiryPopupClosing(s, e) {
                if (TabSupplier.GetActiveTabIndex() == 0) {
                    grdDataGeneral.PerformCallback();
                }
                else {
                    grdDataUpdate.PerformCallback();
                }
                
            }

            function OnSRPopupBeginCallback(s, e)
            {
                e.customArgs["DocumentNumber"] = DocumentNumber;
            }

            function OnSRPopupClosing(s, e)
            {
                gridPopupDetail.PerformCallback();
            }

            function OnSRPopupShown(s, e)
            {
                popupDetail.SetHeaderText("Invoice No.");
                gridPopupDetail.PerformCallback();
            }

            function EditData(s, e){
            //var deletedAnnouncementMaster = new Array();
//                var announcementMaster;
//                EnumerateSelectedRows(grdDataGeneral, function (index) {
//                    if (grdDataGeneral.IsRowSelectedOnPage(index)) {
//                        rowKeyValueToCopy = null;
//                        announcementMaster = new Object();
//                        announcementMaster.DOCUMENT_NO = grdDataGeneral.cpKeys[index];
//                        //console.log(announcementMaster.DOCUMENT_NO);
//                        //deletedAnnouncementMaster.push(announcementMaster);
//                    }
//                });

                var rowCheck = grdDataGeneral.GetSelectedRowCount();
                alert(rowCheck);
                if(rowCheck == 1)
                {
                    var x = grdDataGeneral.GetSelectedKeysOnPage();
                  ///  console.log(x);
                    var PList = x[0].toString();
                    console.log(PList);
                    var fields = PList.split('|');
                    var GetSupplierCode = PList;
//                    console.log(GetSupplierCode);
//                    var GetDocumentNumber = fields[1];
//                    var getPostingDate = fields[2];
//                    var getDocumentType = fields[3];
//                    var getCurr = fields[4];
//                    var getSupplierAmount = fields[5];
//                    var getTMMINAmount = fields[6];
//                    var getDifferent = fields[7];
//                    var getStatus = fields[8];
//                    var getFeedbackSupplier = fields[9];
//                    var getFeedbackTMMIN = fields[10];
                    
//                    DocumentNumber = announcementMaster.DOCUMENT_NO;
//                    console.log(DocumentNumber);
                    PopupNewGeneralInfo.SetHeaderText('Update Supplier Reconciliation ');
                    PopupNewGeneralInfo.Show();

                    var MyAppUrlSettings = {
                        MyUsefulUrl: '@Url.Action("EditDataPopup", "SupplierReconciliation")'
                    }

                    $.ajax({
                    type: "POST",
                    url: MyAppUrlSettings.MyUsefulUrl,
                    data: {
                        SupplierCode: GetSupplierCode
                        
//                        DocumentNumber: GetDocumentNumber,
//                        PostingDate: getPostingDate,
//                        DocumentType: getDocumentType,
//                        Curr: getCurr,
//                        SupplierAmount: getSupplierAmount,
//                        TMMINAmount: getTMMINAmount,
//                        Different: getDifferent,
//                        Status: getStatus,
//                        FeedbackSupplier: getFeedbackSupplier,
//                        FeedbackTMMIN: getFeedbackTMMIN
                    },
                    success: function (resultMessage) {
                    },
                    error: function (resultMessage) {
                    }
                });
                }
                else
                {
                    $.msgBox({ title: "Warning", type:"alert", content:"Please select 1 record" });
                }
//                var i = '';
//                var VendorCode='';
//                var DocumentNumber='';
//                var PostingDate='';
//                var DocumentType='';
//                var Curr='';
//                var SupplierAmount='';
//                var TMMINAmount='';
//                var Different='';
//                var Status='';
//                var FeedbackSupplier ='';
//                var FeedbackTMMIN ='';
//                
//               // var ConfirmFlag='';
//        
//                i = grdDataGeneral.GetSelectedItems();
//                console.log(i);
//                VendorCode = $('#grdDataGeneral').find('#SupplierCodeEdit' + i).filter(':first');
//                DocumentNumber= $('#grdDataGeneral').find('#DocumentNumberEdit' + i).filter(':first'); 
//                PostingDate= $('#grdDataGeneral').find('#PostingDateEdit' + i).filter(':first'); 
//                DocumentType= $('#grdDataGeneral').find('#DocumentTypeEdit' + i).filter(':first'); 
//                Curr = $('#grdDataGeneral').find('#CurrEdit' + i).filter(':first'); 
//                SupplierAmount = $('#grdDataGeneral').find('#SupplierAmountEdit' + i).filter(':first'); 
//                TMMINAmount = $('#grdDataGeneral').find('#TMMINAmountEdit' + i).filter(':first'); 
//                Different = $('#grdDataGeneral').find('#DifferentEdit' + i).filter(':first');
//                Status = $('#grdDataGeneral').find('#StatusEdit' + i).filter(':first'); 
//                FeedbackSupplier = $('#grdDataGeneral').find('#FeedbackSupplierEdit' + i).filter(':first'); 
//                FeedbackTMMIN = $('#grdDataGeneral').find('#FeedbackTMMINEdit' + i).filter(':first'); 
//                 
//       
//                

//                 
//                SupplierCodeEdit.SetEnabled(false);
//                DocumentNumberEdit.SetEnabled(false);
//                PostingDateEdit.SetEnabled(false);
//                DocumentTypeEdit.SetEnabled(false);
//                CurrEdit.SetEnabled(false);
//                SupplierAmountEdit.SetEnabled(false);
//                TMMINAmountEdit.SetEnabled(false);
//                DifferentEdit.SetEnabled(false);
//                StatusEdit.SetEnabled(false);

//                SupplierCodeEdit.SetText(SupplierCode.text());
//                DocumentNumberEdit.SetText(DocumentNumber.text());
//                PostingDateEdit.SetText(PostingDate.text());
//                CurrEdit.SetText(Curr.text());
//                SupplierAmountEdit.SetText(SupplierAmount.text());
//                TMMINAmountEdit.SetText(TMMINAmount.text());
//                DifferentEdit.SetText(Different.text());
//                StatusEdit.SetText(Status.text());
//                FeedbackSupplierEdit.SetText(FeedbackSupplier.text());
//                FeedbackTMMINEdit.SetText(FeedbackTMMIN.text());
//        
                
                
                
            }

            function OnGoodsReceiptInquiryDownloadConfirmationPopupShown(s, e) {
                
                $("#SRSupplierLabel").text((Supplier) ? Supplier : "");
                $("#BalanceEndMonthLabel").text((Balance) ? Balance : "");
                $("#ProgressLabel").text((ProgressStatus) ? ProgressStatus : "");
            }

            function OnSROkButtonClick(s, e) {
                SRDownloadConfirmationPopupPartial.Hide();
                $("#GRIPPProgressLabel").text("Download in progress,\nPlease wait...");
                GoodsReceiptInquiryProgressPopup.Show();

                $.fileDownload("SupplierReconciliation/DownloadSR/", {
                    data: {
                        TabSelected : TabSupplier.GetActiveTabIndex(),
                        Supplier : SRSupplier.GetValue(),
                        Balance : GetProductionMonth(BalanceEndMonth.GetValue()),
                        ProgressStatus : Progress.GetValue()
                    },
                    successCallback: function (result) {
                        GoodsReceiptInquiryProgressPopup.Hide();
                    },
                    failCallback: function (result) {
                        GoodsReceiptInquiryProgressPopup.Hide();

                        alert("Error On Download Supplier Reconciliation.");
                    }
                });
            }

            function OnSRCancelButtonClick(s, e) {
                SRDownloadConfirmationPopupPartial.Hide();
            }

            function OnUploadComplete(s, e) {
                EnableButton();
            }

//            function OnUploadComplete(s, e) {
//                if (e.isValid) {
//                    filePath = e.callbackData;
//                    console.log(filePath);
//                    console.log(TabSupplier.GetActiveTabIndex());
//                    //$("#HTLCUPMessageLabel").text("Upload in progress, \nPlease wait...");
//                    //popupLPOPConfirmationUploadProgress.Show();

//                    $.ajax({
//                        type: "POST",
//                        url: "@Url.Content("~/SupplierReconciliation/SupplierReconciliationUpload")",
//                        dataType: "json",
//                        data: {
//                            filePath: filePath,
//                            SelectedTab: TabSupplier.GetActiveTabIndex()
//      
//                        },
//                        success: function (result) {
//                            var parameterValues = result.Status.split(';');
//                            if (parameterValues[0] == "true") {
//                                //popupLPOPConfirmationUploadProgress.Hide();
//                                OnUploadValid(parameterValues[1], parameterValues[2], parameterValues[3], parameterValues[4]);
//                                    //add by fid.goldy
//                                    //parameterValues[5],parameterValues[6]
//                                    //end of add by fid.goldy
//                            
//                            }
//                            else if (parameterValues[0] == "false") {
//                                //popupLPOPConfirmationUploadProgress.Hide();
//                                OnUploadInvalid(parameterValues[1], parameterValues[2], parameterValues[3], parameterValues[4]);
//                            }
//                        },
//                        error: function (result) {
//                            //popupLPOPConfirmationUploadProgress.Hide();
//                            alert("Error On Supplier Reconciliation File Upload Complete.");
//                        }
//                    });
//                }
//            }

            function OnUploadValid(processId, functionId, temporaryTableUpload, temporaryTableValidate) {
                $.ajax({
                    type: "POST",
                    url: "@Url.Content("~/SupplierReconciliation/UploadValid")",
                    dataType: "json",
                    data: {
                        processId: processId,
                        functionId: functionId,
                        SelectedTab: TabSupplier.GetActiveTabIndex(),
                        temporaryTableValidate: temporaryTableValidate
               
                    },
                    success: function (result) {
                        alert("Upload Success");
                        OnTabChanged();

                        // clear temporary upload data
                        OnUploadCleared(processId, functionId, temporaryTableUpload, temporaryTableValidate);
                    },
                    error: function (result) {
                        alert("Error On Supplier Reconciliation File Upload Valid.");
                    }
                });
            }

            function OnUploadInvalid(processId, functionId, temporaryTableUpload, temporaryTableValidate) {
                //$("#HTLCUPMessageLabel").text("Upload invalid, \nPlease wait...");

                $.fileDownload("SupplierReconciliation/UploadInvalid/", {
                    dataType: "text",
                    data: {
                        functionId: functionId,
                        processId: processId,
                        SelectedTab: TabSupplier.GetActiveTabIndex(),
                        temporaryTableUpload: temporaryTableUpload
                    },
                    successCallback: function (url) {
                        // clear temporary upload data
                        OnUploadCleared(processId, functionId, temporaryTableUpload, temporaryTableValidate);
                        //popupLPOPConfirmationUploadProgress.Hide();
                    },
                    failCallback: function (responseHtml, url) {
                        //popupLPOPConfirmationUploadProgress.Hide();
                        alert("Error On Supplier Reconciliation File Upload Invalid.");
                    }
                });
            }

            function OnUploadCleared(processId, functionId, temporaryTableUpload, temporaryTableValidate) {
                $.ajax({
                    type: "POST",
                    url: "@Url.Content("~/SupplierReconciliation/ClearUpload")",
                    data: {
                        functionId: functionId,
                        processId: processId,
                        temporaryTableUpload: temporaryTableUpload,
                        temporaryTableValidate: temporaryTableValidate
               
                    },
                    success: function (result) {

                    },
                    error: function (result) {
                        alert("Error On Supplier Reconciliation File Upload Cleared.");
                    }
                });
            }

            function ReconcileData(s,e)
            {
                var SCAN_DT = GetProductionMonth(BalanceEndMonth.GetValue());

                DisableButton();
                $.ajax({
                    type: "POST",
                    url: "@Url.Content("~/SupplierReconciliation/Reconcile")",
                    data: {
                           SCAN_DT : SCAN_DT
                        },
                        success: function (result) {
                        //
                        var resValue = result.split('|');
                        if (resValue[0] == 'Success'){
                            if(resValue[1] == 'Reconcile already performace for this month')
                            {
                                $.msgBox({ title: "info",type: "info", content: 'Reconcile already performace for this month', afterClose : EnableButton });
                                //EnableButton ();
                            }
                            else
                            {
                                $.msgBox({ title: "info",type: "info", content: 'Reconcile has been finished', afterClose : EnableButton });
                                //EnableButton ();
                            }
                            
                            //SearchData();
                            //checkProgressCreatePR();
                        }else
                        {
                            //MessageBox(resValue[1],'warning_icon.png','Warning',260);
                            $.msgBox({ title: "Warning", content: resValue[1], afterClose : EnableButton });
                            EnableButton ();
                            //SearchData();
                        }
                    },
                    error: function (result) {
                        //
                        //MessageBox(resValue[1],'warning_icon.png','Warning',210);
                        $.msgBox({ title: "Warning", content: resValue[1], afterClose : EnableButton });
                        PRCreateButton.SetEnabled(true);
                        EnableButton ();
                        //SearchData();
                    }
                });
            }
           
</script>

<div style="display: table; border: 1px solid #142B94; background-color: #DEECFD; padding: 10px;">
    @Html.Partial("HeaderMaintenance")
</div>
<div style="height: 5px; ">
</div>

<div style="height: 15px; ">
</div>
<div style="height: 15px; ">
    @Html.DevExpress().PageControl(
        settings => {
            settings.Name = "TabSupplier";
            settings.Width = Unit.Percentage(100);
            settings.ClientSideEvents.ActiveTabChanged = "OnTabChanged";
            settings.TabPages.Add("Reconcile").SetContent(() =>
            {
                Html.RenderPartial("GeneralPartial", Model);
                
                Html.RenderPartial("FooterGeneralPartial", Model);
            });
            settings.TabPages.Add("Sum").SetContent(() =>
            {
                @Html.DevExpress().Button(
            btn =>
            {
                btn.Name = "btnReportSum";
                btn.Text = "Report";
                btn.ControlStyle.CssClass = "dxDisplayInline";
                btn.Width = Unit.Pixel(100);
                btn.ClientSideEvents.Click = "ReportData";
            }).GetHtml();

                @Html.DevExpress().Button(
            btn =>
            {
                btn.Name = "btnPrintSum";
                btn.Text = "Print";
                btn.ControlStyle.CssClass = "dxDisplayInline";
                btn.Width = Unit.Pixel(100);
                btn.ClientSideEvents.Click = "PrintData";
            }).GetHtml();

                @Html.DevExpress().Button(
            btn =>
            {
                btn.Name = "btnApprovedSR";
                btn.Text = "Approved";
                btn.ControlStyle.CssClass = "dxDisplayInline";
                btn.Width = Unit.Pixel(100);
                btn.ClientSideEvents.Click = "ApprovedData";
            }).GetHtml();

                ViewContext.Writer.Write("<div style=\"margin-bottom: 10px; text-align: Right;\"></div>");
                Html.RenderPartial("UpdatePartial", Model);
                //Html.RenderPartial("FooterUpdatePartial", Model);
                
            });
        }).GetHtml()

</div>

@Html.DevExpress().PopupControl(settings => {
    settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
    settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
    settings.Name = "popupNewSR";
    //settings.CallbackRouteValues = new { Controller = "SupplierReconciliation", Action = "PartialPopupNewDockCode" };
    settings.HeaderText = "Input Supplier Reconciliation";
    settings.Width = System.Web.UI.WebControls.Unit.Pixel(200);
    settings.Height = System.Web.UI.WebControls.Unit.Pixel(200);
    settings.SetContent(() => {
        Html.RenderPartial("PopupNewSR", Model);
    });
}).GetHtml()


@Html.DevExpress().PopupControl(settings =>
{
    settings.Name = "SRDownloadConfirmationPopupPartial";
    settings.HeaderText = "Supplier Reconciliation Download Confirmation";
    settings.Width = System.Web.UI.WebControls.Unit.Pixel(350);
    settings.Height = System.Web.UI.WebControls.Unit.Pixel(340);
    settings.ScrollBars = ScrollBars.Auto;
    settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
    settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
    settings.Modal = true;
    settings.CloseAction = CloseAction.CloseButton;
    settings.ShowPageScrollbarWhenModal = true;
    settings.ClientSideEvents.BeginCallback = "OnGoodsReceiptInquiryPopupBeginCallback";
    settings.ClientSideEvents.Closing = "OnGoodsReceiptInquiryPopupClosing";
    settings.ClientSideEvents.Shown = "OnGoodsReceiptInquiryDownloadConfirmationPopupShown";
    settings.SetContent(() =>
    {
        Html.RenderPartial("SRDownloadConfirmationPopupPartial", Model);
    });
}).GetHtml()

@Html.DevExpress().PopupControl(
    settings => {
        settings.Name = "GoodsReceiptInquiryProgressPopup";
        settings.ShowHeader = false;
        settings.Width = System.Web.UI.WebControls.Unit.Pixel(300);
        settings.Height = System.Web.UI.WebControls.Unit.Pixel(150);
        settings.ScrollBars = ScrollBars.Auto;
        settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
        settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
        settings.Modal = true;
        settings.CloseAction = CloseAction.CloseButton;
        settings.ShowPageScrollbarWhenModal = true;
        settings.SetContent(() =>
        {
            Html.RenderPartial("GoodsReceiptInquiryProgressPopupPartial", Model);
        });
    }).GetHtml()
   
@Html.DevExpress().PopupControl(settings =>
{
    settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
    settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
    settings.Name = "PopupNewGeneralInfo";
    settings.CallbackRouteValues = new { Controller = "SupplierReconciliation", Action = "PopupNewGeneralInfo2" };
    settings.HeaderText = "Update Supplier Reconciliation";
    settings.Width = System.Web.UI.WebControls.Unit.Pixel(300);
    settings.Height = System.Web.UI.WebControls.Unit.Pixel(150);
    settings.Modal = true;
    settings.CloseAction = CloseAction.CloseButton;
    //settings.LoadContentViaCallback = LoadContentViaCallback.OnFirstShow; settings.LoadContentViaCallback = LoadContentViaCallback.OnFirstShow;
    //settings.ClientSideEvents.BeginCallback = "OnSREditBeginCallback";
    //settings.ClientSideEvents.Shown = "CheckSuppCodeGeneral";
    settings.SetContent(() =>
    {
        //Html.RenderAction("PopupNewGeneralInfo", "SupplierReconciliation");
    });
}).GetHtml()

@Html.DevExpress().PopupControl(settings =>
{
    settings.Name = "popupDetail";
    settings.HeaderText = "Invoice No.";
    settings.CallbackRouteValues = new { Controller = "SupplierReconciliation", Action = "GridDetail" };
    settings.Width = System.Web.UI.WebControls.Unit.Percentage(90);
    settings.Height = System.Web.UI.WebControls.Unit.Percentage(100);
    settings.Modal = true;
    settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
    settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
    settings.ClientSideEvents.BeginCallback = "OnSRPopupBeginCallback";
    settings.ClientSideEvents.Closing = "OnSRPopupClosing";
    settings.ClientSideEvents.Shown = "OnSRPopupShown";
    //settings.DragElement = DragElement.Window;
    //settings.ShowHeader = false;
    settings.SetContent(() =>
    {
        Html.RenderPartial("GridDetail", Model);
        Html.RenderPartial("FooterGridDetail", Model);
    });
}).GetHtml()





                    
             


                
    
    